Clone Tools
  • last updated a few seconds ago
Constraints
Constraints: committers
 
Constraints: files
Constraints: dates
Support --parameters compilation flag for Groovy lang

Issue #2487

Signed-off-by: Andrew Malyhin <katoquro@gmail.com>

  1. … 4 more files in changeset.
Do not use snapshot Groovy versions in tests

When we depend on a SNAPSHOT version of Groovy, we shouldn't run tests that need to download Groovy versions with that SNAPSHOT version. This is to prevent us from bumping into problems with how Groovy snapshots are published.

  1. … 4 more files in changeset.
Set mirrors for groovy-snapshots

  1. … 1 more file in changeset.
Upgrade to Groovy 2.5.3-SNAPSHOT (#6903)

This is a temporary measure until Groovy 2.5.3 GA comes out to fix Java 11 incompatibilities.

  1. … 9 more files in changeset.
Upgrade to Groovy 2.5.3-SNAPSHOT (#6903)

This is a temporary measure until Groovy 2.5.3 GA comes out to fix Java 11 incompatibilities.

  1. … 9 more files in changeset.
Add Groovy 2.4.15 to Groovy coverage tests

Fix Groovydoc tests with older version of Groovy

  1. … 1 more file in changeset.
Use common source for tested Groovy versions

+review REVIEW-6505

    • -0
    • +33
    ./GroovyCoverage.groovy
  1. … 5 more files in changeset.